/*+ Options.h
 *
 ******************************************************************************
 *
 *                        Trimble Navigation Limited
 *                           645 North Mary Avenue
 *                              P.O. Box 3642
 *                         Sunnyvale, CA 94088-3642
 *
 ******************************************************************************
 *
 *    Copyright  2005 Trimble Navigation Ltd.
 *    All Rights Reserved
 *
 ******************************************************************************
 *
 * Description:
 *    Interface for the COptions class.
 *            
 * Revision History:
 *    09-22-2005    Mike Priven
 *                  Cleaned up and adapted for outside distribution.
 *
 *    xx-xx-2001    Sean Zhi
 *                  Original
 *
 * Notes:
 *
-*/

#ifndef OPTIONS_H
#define OPTIONS_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/*---------------------------------------------------------------------------*\
 |             F O R W A R D   C L A S S   D E C L A R A T I O N S
\*---------------------------------------------------------------------------*/
class CFlashLoaderDlg;


/*---------------------------------------------------------------------------*\
 |                      C L A S S   D E F I N I T I O N
\*---------------------------------------------------------------------------*/
class COptions : public CDialog
{
    
public: //==== P U B L I C   M E T H O D S ===================================/
    
    COptions(CWnd* pParent = NULL);   // standard constructor
    
    
public: //==== P U B L I C   M E M B E R   V A R I A B L E S =================/
    
    //{{AFX_DATA(COptions)
    enum { IDD = IDD_DLG_OPTIONS };
    int		m_int_romtype;
    BOOL	m_bNoWaitACK;
    CString	m_strFwBaseAddr;
    //}}AFX_DATA
    
    
protected: //==== P R O T E C T E D   M E T H O D S ==========================/
    
    //{{AFX_VIRTUAL(COptions)
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL
    
    //{{AFX_MSG(COptions)
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    //}}AFX_MSG
    
    DECLARE_MESSAGE_MAP()
        
        
private: //==== P R I V A T E   M E M B E R   V A R I A B L E S ==============/
    
    CFlashLoaderDlg* m_pParentDlg;
    
};

#endif // OPTIONS_H
